[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#593212: marked as done (rootskel: please add Hurd support)



Your message dated Tue, 17 Aug 2010 19:35:00 +0000
with message-id <E1OlRw4-0001ki-Sr@franck.debian.org>
and subject line Bug#593212: fixed in rootskel 1.87
has caused the Debian Bug report #593212,
regarding rootskel: please add Hurd support
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
593212: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=593212
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: rootskel
Version: 1.86
Tags: patch
Usertags: gsoc2010

Hi,

The rootskel udeb has been failing to build from source on Hurd for
some time...

The attached patch adds Hurd versions of the system-dependant files, and
makes other fixes which produce a functional, up-to-date rootskel udeb
on Hurd.

If you apply this, please remember to fill-in the bug number in the
changelog, create the empty src/etc/fstab-hurd, and set execute
permissions on src/sbin/reopen-console-hurd.

Thanks,
-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org
Index: debian/changelog
===================================================================
--- debian/changelog	(revision 64309)
+++ debian/changelog	(working copy)
@@ -1,3 +1,17 @@
+rootskel (1.87) UNRELEASED; urgency=low
+
+  * Fix lib/debian-installer.d/S40term-hurd.
+  * Provide a -hurd version for some files: (closes: #<please fill-in>)
+    - lib/debian-installer/detect-console
+    - lib/debian-installer/exit (skips umount, which is not available yet)
+    - etc/fstab (empty)
+    - etc/inittab (copied the Linux one)
+    - sbin/reopen-console (not much guesswork yet)
+  * Skip the creation of /etc/mtab on Hurd (our /proc/mounts is itself a
+    symlink to mtab).
+
+ -- Jeremie Koenig <jk@jk.fr.eu.org>  Thu, 12 Aug 2010 07:09:26 +0000
+
 rootskel (1.86) unstable; urgency=low
 
   [ Jeremie Koenig ]
Index: src/lib/debian-installer.d/S40term-hurd
===================================================================
--- src/lib/debian-installer.d/S40term-hurd	(revision 64309)
+++ src/lib/debian-installer.d/S40term-hurd	(working copy)
@@ -1,6 +1,6 @@
-+# Enable UTF-8 locale if it is available
-+if [ "$TERM" = hurd ] && [ -d /usr/lib/locale/C.UTF-8 ]; then
-+	TERM_UTF8=yes
-+	: >/var/lib/UTF-8
-+	export LANG=C.UTF-8
-+fi
+# Enable UTF-8 locale if it is available
+if [ "$TERM" = hurd ] && [ -d /usr/lib/locale/C.UTF-8 ]; then
+	TERM_UTF8=yes
+	: >/var/lib/UTF-8
+	export LANG=C.UTF-8
+fi
Index: src/lib/debian-installer/detect-console-hurd
===================================================================
--- src/lib/debian-installer/detect-console-hurd	(revision 0)
+++ src/lib/debian-installer/detect-console-hurd	(revision 0)
@@ -0,0 +1,18 @@
+if [ -z "$TERM_TYPE" ]; then
+	case $(tty) in
+		/dev/tty[0-9]*)
+			TERM_TYPE=virtual
+			;;
+		/dev/console)
+			TERM_TYPE=serial #unsure (mach console)
+			;;
+		/dev/com*)
+			TERM_TYPE=serial
+			;;
+		/dev/tty[pq]*)
+			TERM_TYPE=pts
+			;;
+	esac
+fi
+
+export TERM_TYPE
Index: src/lib/debian-installer/exit-hurd
===================================================================
--- src/lib/debian-installer/exit-hurd	(revision 0)
+++ src/lib/debian-installer/exit-hurd	(revision 0)
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+/lib/debian-installer/exit-command
+CMDN=$?
+
+case "$CMDN" in
+20) CMD=reboot;;
+21) CMD=halt;;
+22) CMD=poweroff;;
+*) echo "got weird return code $CMDN";;
+esac
+
+#/bin/umount -a -r
+/sbin/swapoff -a
+
+$CMD
+
+# if possible, give init a chance to kill main-menu
+if type sleep >/dev/null 2>&1; then
+	sleep 10 || true
+fi
Index: src/etc/fstab-hurd
===================================================================
Index: src/etc/inittab-hurd
===================================================================
--- src/etc/inittab-hurd	(revision 0)
+++ src/etc/inittab-hurd	(revision 0)
@@ -0,0 +1,21 @@
+# /etc/inittab
+# busybox init configuration for debian-installer
+
+# main rc script
+::sysinit:/sbin/reopen-console /sbin/debian-installer-startup
+
+# main setup program
+::respawn:/sbin/reopen-console /sbin/debian-installer
+
+# convenience shells
+tty2::askfirst:-/bin/sh
+tty3::askfirst:-/bin/sh
+
+# logging
+tty4::respawn:/usr/bin/tail -f /var/log/syslog
+
+# Stuff to do before rebooting
+::ctrlaltdel:/sbin/shutdown > /dev/null 2>&1
+
+# re-exec init on receipt of SIGHUP/SIGUSR1
+::restart:/sbin/init
Index: src/etc/Makefile
===================================================================
--- src/etc/Makefile	(revision 64309)
+++ src/etc/Makefile	(working copy)
@@ -14,7 +14,10 @@
 	passwd \
 	profile
 
+# On Hurd, /proc/mounts won't exist or will be a symlink to /etc/mtab itself.
 install-local:: $(outdir)
+ifeq ($(DEB_HOST_ARCH_OS),hurd)
 	ln -fs /proc/mounts $(outdir)/mtab
+endif
 
 include ../../Makefile.inc
Index: src/sbin/reopen-console-hurd
===================================================================
--- src/sbin/reopen-console-hurd	(revision 0)
+++ src/sbin/reopen-console-hurd	(revision 0)
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# In order to give proper access to the tty, we need to locate the device
+# corresponding to the console we are actually using.
+
+console=
+if ! [ -f /var/run/console-device ]; then
+	tty > /var/run/console-device
+fi
+
+# Some other session may have it as ctty. Steal it from them
+exec /sbin/steal-ctty $(cat /var/run/console-device) "$@"

Property changes on: src/sbin/reopen-console-hurd
___________________________________________________________________
Added: svn:executable
   + *


--- End Message ---
--- Begin Message ---
Source: rootskel
Source-Version: 1.87

We believe that the bug you reported is fixed in the latest version of
rootskel, which is due to be installed in the Debian FTP archive:

rootskel-bootfloppy_1.87_amd64.udeb
  to main/r/rootskel/rootskel-bootfloppy_1.87_amd64.udeb
rootskel_1.87.dsc
  to main/r/rootskel/rootskel_1.87.dsc
rootskel_1.87.tar.gz
  to main/r/rootskel/rootskel_1.87.tar.gz
rootskel_1.87_amd64.udeb
  to main/r/rootskel/rootskel_1.87_amd64.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 593212@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated rootskel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 17 Aug 2010 21:22:43 +0200
Source: rootskel
Binary: rootskel rootskel-bootfloppy
Architecture: source amd64
Version: 1.87
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 rootskel   - Skeleton root filesystem used by debian-installer (udeb)
 rootskel-bootfloppy - Skeleton root filesystem used by debian-installer boot floppy (udeb)
Closes: 593212
Changes: 
 rootskel (1.87) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * Remount the filesystem with the "remount" option instead of the
     "update" one as it is the only one supported by busybox.
   * Correctly detect virtual consoles on kFreeBSD 8.x.
   * Enable UTF-8 on GNU/kFreeBSD.
 .
   [ Jeremie Koenig ]
   * Fix lib/debian-installer.d/S40term-hurd.
   * Provide a -hurd version for some files: (closes: #593212)
     - lib/debian-installer/detect-console
     - lib/debian-installer/exit (skips umount, which is not available yet)
     - etc/fstab (empty)
     - etc/inittab (copied the Linux one)
     - sbin/reopen-console (not much guesswork yet)
   * Skip the creation of /etc/mtab on Hurd (our /proc/mounts is itself a
     symlink to mtab).
Checksums-Sha1: 
 a5b4708c47dd9ad8161c5ee0aaf5be2bc5323717 995 rootskel_1.87.dsc
 fa8c4c0d1c2265c0805d4330726ee21ecd063601 35302 rootskel_1.87.tar.gz
 dee23fecb40670ef6e2bdf0984529eb1de408ad5 8994 rootskel_1.87_amd64.udeb
 9c04d61b7ee8b6eb6a6c88bb91275c3e1bb21b99 2768 rootskel-bootfloppy_1.87_amd64.udeb
Checksums-Sha256: 
 8bf58b144213e0f227234576d384e0a76db6e1d5144d963ecf128f356a881a91 995 rootskel_1.87.dsc
 928b40a32b5d8dda1013be7c8b7e4e627239e11578fc9b92774fa88d90f1627a 35302 rootskel_1.87.tar.gz
 3018bd800ddae89167ef65c046c194872603924ad49bc0091a191b4da6c6da07 8994 rootskel_1.87_amd64.udeb
 c721118d9cb77a3070bef1b0c78c45a40396de95a08c7122b20394ae92e7025b 2768 rootskel-bootfloppy_1.87_amd64.udeb
Files: 
 38a4d89383dc4324138ffdf4f207815b 995 debian-installer standard rootskel_1.87.dsc
 9458443679ccca47c87386b24708b2c9 35302 debian-installer standard rootskel_1.87.tar.gz
 81ba08a20ad17aa2913c99f0ee545ab1 8994 debian-installer standard rootskel_1.87_amd64.udeb
 4c24036884d8f19ac383bdeb5fb2fcc4 2768 debian-installer extra rootskel-bootfloppy_1.87_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMauIuw3ao2vG823MRAlzaAJ97piweSA+mN8XNj/xpMgR+4YxU8ACbB81G
TsdjiH+pxGyQBfGksQ05dcY=
=YQDw
-----END PGP SIGNATURE-----



--- End Message ---

Reply to: